#!/bin/sh
LOG_FILE="/scratch/log/esxupdate.log"
CURRENT_USER=$(echo $USER)

LogInfo()
{
    DATE=$(date '+%Y-%m-%d %H:%M:%S')
    [ "${LOG_FILE}" != "" ] && echo "[$DATE][ULTRAPATH][$CURUSER][INFO][$2] $1" >> "${LOG_FILE}"
}

StartUphostinfoesx()
{
    if [ -f /opt/UltraPath/tools/up_hostinfo_esx ]
    then
        nohup /opt/UltraPath/tools/up_hostinfo_esx >/dev/null 2>&1 &
        LogInfo  "Start up_hostinfo_esx." "startuphostinfoesx" 2>&1
    fi
}

StopUphostinfoesx()
{
    number=$(ps | grep "up_hostinfo_esx" | wc -l)
    if [ ${number} -lt 1 ]
    then
        return 0
    fi
    pid=$(ps | grep "up_hostinfo_esx" | awk '{print $1}')
    kill ${pid} 2>/dev/null
    LogInfo  "Stop up_hostinfo_esx." "stopuphostinfoesx" 2>&1
    return 0
}

case "$1" in
"start")
    StartUphostinfoesx
    ;;
"stop")
    StopUphostinfoesx
    ;;
"*")
    echo "Usage: $0 start/stop to start/stop up_hostinfo_esx"
    ;;
esac
exit 0